program main
use simulations
use omp_lib
implicit none

integer :: N, samples
integer :: seed = 20
real*8 :: limit = 45d4
real*8 :: xlow
real*8, dimension(:), allocatable :: rand

call omp_set_num_threads(2)
call init_seed(seed,limit)

N = 10000
allocate(rand(N))
do samples = 1,35000
   !call random_number(rand)
enddo
deallocate(rand)
samples = 35000
xlow = 0d0

call els_sim_uniform(N,samples,xlow, &
     'x_els_unif_xlow-0_N10000_l45d4_s00001-35000.dat', &
     'excl_els_unif_xlow-0_N10000_l45d4_s00001-35000.dat', &
     'incl_els_unif_xlow-0_N10000_l45d4_s00001-35000.dat')

end program main
