program main
use simulations
use omp_lib
implicit none

integer :: N, samples
integer :: seed = 20
real*8 :: limit = 25d4
real*8 :: xlow
real*8, dimension(:,:,:,:,:), allocatable :: rand

call omp_set_num_threads(2)
call init_seed(seed,limit)

N = 6
allocate(rand(N,N,N,N,N))
do samples = 1,10000
!   call random_number(rand)
enddo
deallocate(rand)
samples = 10000
xlow = 0d0

call lls_sim_uniform(N,samples,xlow, &
     'x_lls_unif_xlow-0_N06_l25d4_s00001-10000.dat', &
     'excl_lls_unif_xlow-0_N06_l25d4_s00001-10000.dat', &
     'incl_lls_unif_xlow-0_N06_l25d4_s00001-10000.dat')

end program main
